﻿<%@ Page Title="" Language="VB" MasterPageFile="~/MasterPage.master" AutoEventWireup="false" CodeFile="Default.aspx.vb" Inherits="_Default" %>

<%@ Register assembly="Infragistics2.WebUI.WebDateChooser.v8.3, Version=8.3.20083.2039, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" namespace="Infragistics.WebUI.WebSchedule" tagprefix="igsch" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">

    <script type="text/javascript" id="Infragistics">


        function fDateClicked(oCalendar, oDate, oEvent) {
            var month = oDate.getMonth() + 1;   //month is zero-based, so add 1
            var day = oDate.getDate();
            var year = oDate.getYear();
            var text = month + "/" + day + "/" + year;
            var hiddenField = document.getElementById("<%= Hidden1.ClientID %>");
            var textbox = document.getElementById(hiddenField.value);
            textbox.value = text;
            }

</script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    
    <input id="Hidden1" type="hidden" runat="server"/>
    
    <table>
        <tr>
            <td width="800px" align="center">
                <strong style="text-align: center; font-size: medium;">
                    <asp:Label ID="lblID" runat="server" Text="Add new Audit Finding"></asp:Label></strong>
            </td>
        </tr>
    </table>
    <asp:Label ID="lblMsg" runat="server" ForeColor="Red"></asp:Label>
    <asp:DetailsView ID="DetailsView1" runat="server" AutoGenerateRows="False" CellPadding="4"
        DataKeyNames="CustomerID" DataSourceID="dsFindings" ForeColor="Black" Height="131px"
        Width="800px" Font-Names="Verdana" Font-Size="X-Small" BorderStyle="Solid" BorderWidth="1px">
        <FooterStyle BackColor="White" Font-Bold="True" ForeColor="White" />
        <CommandRowStyle BackColor="#FF7300" Font-Bold="True" />
        <RowStyle BackColor="white" />
        <FieldHeaderStyle BackColor="#FF7300" Font-Bold="True" ForeColor="Black" Width="150px" />
        <PagerStyle BackColor="White" ForeColor="White" HorizontalAlign="Center" />
        <Fields>
            <asp:CommandField UpdateText="Save" NewText="New Audit" ShowInsertButton="True" InsertText="Save">
                <ItemStyle Font-Names="Verdana" Font-Size="Small" ForeColor="White" />
            </asp:CommandField>
            <asp:BoundField DataField="CustomerID" HeaderText="Finding ID" InsertVisible="False"
                ReadOnly="True" SortExpression="FindingID">
                <HeaderStyle Width="200px" />
                <ItemStyle Font-Names="Verdana" Font-Size="X-Small" />
            </asp:BoundField>
            <asp:TemplateField HeaderText="Company Name" SortExpression="CompanyName">
                <EditItemTemplate>
                    <asp:TextBox ID="TextBox6" runat="server" Text='<%# Bind("CompanyName") %>'></asp:TextBox>
                </EditItemTemplate>
                <InsertItemTemplate>
                    <asp:TextBox ID="TextBox10" runat="server" Text='<%# Bind("CompanyName") %>' Width="300px"></asp:TextBox>
                </InsertItemTemplate>
                <ItemTemplate>
                    <asp:Label ID="Label6" runat="server" Text='<%# Bind("CompanyName") %>'></asp:Label>
                </ItemTemplate>
                <ControlStyle Font-Names="Verdana" Font-Size="X-Small" Width="400px" />
                <HeaderStyle Font-Names="Verdana" Font-Size="X-Small" Height="15px" Width="200px" />
                <ItemStyle Font-Names="Verdana" Font-Size="X-Small" Height="15px" />
            </asp:TemplateField>
            <asp:BoundField DataField="ContactName" HeaderText="Company Code" SortExpression="CompanyCode">
                <ControlStyle Font-Names="Verdana" Font-Size="X-Small" />
                <HeaderStyle Font-Names="Verdana" Font-Size="X-Small" Width="200px" />
                <ItemStyle Font-Names="Verdana" Font-Size="X-Small" />
            </asp:BoundField>
            <asp:BoundField DataField="Address" HeaderText="WIO Location" SortExpression="WIOLocation">
                <ControlStyle Font-Names="Verdana" Font-Size="X-Small" />
                <HeaderStyle Width="200px" />
                <ItemStyle Font-Names="Verdana" Font-Size="X-Small" />
            </asp:BoundField>
            <asp:BoundField DataField="City" HeaderText="Period" SortExpression="Period">
                <ControlStyle Font-Names="Verdana" Font-Size="X-Small" />
                <ItemStyle Font-Names="Verdana" Font-Size="X-Small" />
            </asp:BoundField>
            <asp:BoundField DataField="Region" HeaderText="Report Type" SortExpression="ReportType">
                <ControlStyle Font-Names="Verdana" Font-Size="X-Small" />
                <ItemStyle Font-Names="Verdana" Font-Size="X-Small" />
            </asp:BoundField>
            <asp:BoundField DataField="PostalCode" HeaderText="Problem Areas" SortExpression="ProblemAreas">
                <ControlStyle Font-Names="Verdana" Font-Size="X-Small" />
                <ItemStyle Font-Names="Verdana" Font-Size="X-Small" />
            </asp:BoundField>
            <asp:TemplateField HeaderText="Solution Deadline" SortExpression="SolutionDeadline_audit">
                <EditItemTemplate>
                    <asp:TextBox ID="txtDate" runat="server" Text='<%# Bind("SolutionDeadline_audit","{0:dd.MM.yyyy}" ) %>'
                        Font-Names="Verdana" Font-Size="X-Small" Width="85px"></asp:TextBox>
                    <asp:Label ID="Label8" runat="server" Font-Names="Verdana" Font-Size="X-Small" Text=" Example: 15.12.2008"></asp:Label>
                </EditItemTemplate>
                <InsertItemTemplate>
                    <asp:TextBox ID="txtDate" runat="server" Text='<%# Bind("SolutionDeadline_audit") %>'
                        Font-Names="Verdana" Font-Size="X-Small" Width="85px"></asp:TextBox>
                    <asp:Label ID="Label9" runat="server" Font-Names="Verdana" Font-Size="X-Small" Text=" Example: 15.12.2008"></asp:Label>
                    <igsch:WebCalendar ID="WebCalendar1" runat="server" ClientSideEvents-DateClicked="fDateClicked">
                    </igsch:WebCalendar>
                </InsertItemTemplate>
                <ItemTemplate>
                    <asp:Label ID="Label5" runat="server" Text="text"></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
        </Fields>
        <HeaderStyle BackColor="White" Font-Bold="True" ForeColor="White" />
        <InsertRowStyle Width="500px" />
        <EditRowStyle BackColor="White" />
        <AlternatingRowStyle BackColor="White" />
    </asp:DetailsView>
    <asp:SqlDataSource ID="dsFindings" runat="server" 
    ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>" 
    DeleteCommand="DELETE FROM [Customers] WHERE [CustomerID] = @CustomerID" 
    InsertCommand="INSERT INTO [Customers] ([CustomerID], [CompanyName], [ContactName], [ContactTitle], [Address], [City], [Region], [PostalCode], [Country], [Phone], [Fax]) VALUES (@CustomerID, @CompanyName, @ContactName, @ContactTitle, @Address, @City, @Region, @PostalCode, @Country, @Phone, @Fax)" 
    SelectCommand="SELECT * FROM [Customers]" 
    
        UpdateCommand="UPDATE [Customers] SET [CompanyName] = @CompanyName, [ContactName] = @ContactName, [ContactTitle] = @ContactTitle, [Address] = @Address, [City] = @City, [Region] = @Region, [PostalCode] = @PostalCode, [Country] = @Country, [Phone] = @Phone, [Fax] = @Fax WHERE [CustomerID] = @CustomerID">
        <DeleteParameters>
            <asp:Parameter Name="CustomerID" Type="String" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="CompanyName" Type="String" />
            <asp:Parameter Name="ContactName" Type="String" />
            <asp:Parameter Name="ContactTitle" Type="String" />
            <asp:Parameter Name="Address" Type="String" />
            <asp:Parameter Name="City" Type="String" />
            <asp:Parameter Name="Region" Type="String" />
            <asp:Parameter Name="PostalCode" Type="String" />
            <asp:Parameter Name="Country" Type="String" />
            <asp:Parameter Name="Phone" Type="String" />
            <asp:Parameter Name="Fax" Type="String" />
            <asp:Parameter Name="CustomerID" Type="String" />
        </UpdateParameters>
        <InsertParameters>
            <asp:Parameter Name="CustomerID" Type="String" />
            <asp:Parameter Name="CompanyName" Type="String" />
            <asp:Parameter Name="ContactName" Type="String" />
            <asp:Parameter Name="ContactTitle" Type="String" />
            <asp:Parameter Name="Address" Type="String" />
            <asp:Parameter Name="City" Type="String" />
            <asp:Parameter Name="Region" Type="String" />
            <asp:Parameter Name="PostalCode" Type="String" />
            <asp:Parameter Name="Country" Type="String" />
            <asp:Parameter Name="Phone" Type="String" />
            <asp:Parameter Name="Fax" Type="String" />
        </InsertParameters>
</asp:SqlDataSource>
    <br />
</asp:Content>



